# Load default processing options
imports:
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Processing.yaml" }
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml" }
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml" }

# Add configuration for the editor
# For complete documentation see http://docs.ckeditor.com/#!/api/CKEDITOR.config
editor:
  config:
    contentsCss:
      - "EXT:rte_ckeditor/Resources/Public/Css/contents.css"
      - "EXT:website/Resources/Public/css/rte.css"

    toolbar:
      items:
        - style
        - heading
        # grouping separator
        - '|'
        - bold
        - italic
        - underline
        - subscript
        - superscript
        - softhyphen
        - '|'
        - bulletedList
        - numberedList
        - blockQuote
        - alignment
        - '|'
        - findAndReplace
        - link
        - '|'
        - removeFormat
        - undo
        - redo
        - '|'
        - insertTable
        - '|'
        - specialCharacters
        - horizontalLine
        - sourceEditing

    heading:
      options:
          - { model: 'paragraph', title: 'Paragraph' }
          - { model: 'heading1', view: 'h1', title: 'Heading 1' }
          - { model: 'heading2', view: 'h2', title: 'Heading 2' }
          - { model: 'heading3', view: 'h3', title: 'Heading 3' }

    style:
      definitions:
        - { name: "h1 (on p)", element: "p", classes: [ 'h1' ] }
        - { name: "h2 (on p)", element: "p", classes: [ 'h2' ] }
        - { name: "p (bigger line height)", element: "p", classes: [ 'line-height-lg' ] }
        - { name: "h1 (on h2)", element: "h2", classes: [ 'h1' ] }
        - { name: "Button blue", element: "a", classes: [ 'button','button-blue' ] }
        - { name: "Button yellow", element: "a", classes: [ 'button','button-yellow' ] }
        - { name: "Button gray", element: "a", classes: [ 'button','button-gray' ] }
        - { name: "Button plain (with arrow)", element: "a", classes: [ 'button','button-plain' ] }
        - { name: "Custom ul - checklist", element: "ul", classes: [ 'checklist' ] }

    alignment:
      options:
        - { name: 'left', className: 'text-start' }
        - { name: 'center', className: 'text-center' }
        - { name: 'right', className: 'text-end' }
        - { name: 'justify', className: 'text-justify' }